CriteriaExpression.AggregateFunctionExpression
Keywords: net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class CriteriaExpression.AggregateFunctionExpression<O,C>

- net.corda.core.node.services.vault.CriteriaExpression<O,T>
- - net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,C>

- Enclosing class:
    CriteriaExpression<O,T>

      public static class CriteriaExpression.AggregateFunctionExpression<O,C>
      extends CriteriaExpression<O,T>

- - ### Constructor Detail

    - #### AggregateFunctionExpression

          public AggregateFunctionExpression(@NotNull
                                             Column<O,? extends C> column,
                                             @NotNull
                                             ColumnPredicate<C> predicate,
                                             @Nullable
                                             java.util.List<? extends net.corda.core.node.services.vault.Column<O,? extends C>> groupByColumns,
                                             @Nullable
                                             net.corda.core.node.services.vault.Sort.Direction orderBy)

  - ### Method Detail

    - #### getColumn

          @NotNull
          public Column<O,C> getColumn()

    - #### getPredicate

          @NotNull
          public ColumnPredicate<C> getPredicate()

    - #### getGroupByColumns

          @Nullable
          public java.util.List<net.corda.core.node.services.vault.Column> getGroupByColumns()

    - #### getOrderBy

          @Nullable
          public net.corda.core.node.services.vault.Sort.Direction getOrderBy()

    - #### component1

          @NotNull
          public Column<O,C> component1()

    - #### component2

          @NotNull
          public ColumnPredicate<C> component2()

    - #### component3

          @Nullable
          public java.util.List<net.corda.core.node.services.vault.Column> component3()

    - #### component4

          @Nullable
          public net.corda.core.node.services.vault.Sort.Direction component4()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.CriteriaExpression.AggregateFunctionExpression<O,C> copy(@NotNull
                                                                                                                      Column<O,? extends C> column,
                                                                                                                      @NotNull
                                                                                                                      ColumnPredicate<C> predicate,
                                                                                                                      @Nullable
                                                                                                                      java.util.List<? extends net.corda.core.node.services.vault.Column<O,? extends C>> groupByColumns,
                                                                                                                      @Nullable
                                                                                                                      net.corda.core.node.services.vault.Sort.Direction orderBy)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)